QueryConstants (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation.query
Class QueryConstants

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.query.QueryConstants

    public class QueryConstants

extends Object

Constants used in JPQL queries.

Field Summary
`static String` | `DEL_REVISION_TYPE_PARAMETER`
`static String` | `INDEX_ENTITY_ALIAS`
`static String` | `INDEX_ENTITY_ALIAS_DEF_AUD_STR`
`static String` | `MIDDLE_ENTITY_ALIAS`
`static String` | `MIDDLE_ENTITY_ALIAS_DEF_AUD_STR`
`static String` | `REFERENCED_ENTITY_ALIAS`
`static String` | `REFERENCED_ENTITY_ALIAS_DEF_AUD_STR`
`static String` | `REVISION_PARAMETER`

Constructor Summary
`QueryConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REFERENCED_ENTITY_ALIAS

    public static final String REFERENCED_ENTITY_ALIAS

See Also:
  Constant Field Values

### REFERENCED_ENTITY_ALIAS_DEF_AUD_STR

    public static final String REFERENCED_ENTITY_ALIAS_DEF_AUD_STR

See Also:
  Constant Field Values

### INDEX_ENTITY_ALIAS

    public static final String INDEX_ENTITY_ALIAS

See Also:
  Constant Field Values

### INDEX_ENTITY_ALIAS_DEF_AUD_STR

    public static final String INDEX_ENTITY_ALIAS_DEF_AUD_STR

See Also:
  Constant Field Values

### MIDDLE_ENTITY_ALIAS

    public static final String MIDDLE_ENTITY_ALIAS

See Also:
  Constant Field Values

### MIDDLE_ENTITY_ALIAS_DEF_AUD_STR

    public static final String MIDDLE_ENTITY_ALIAS_DEF_AUD_STR

See Also:
  Constant Field Values

### REVISION_PARAMETER

    public static final String REVISION_PARAMETER

See Also:
  Constant Field Values

### DEL_REVISION_TYPE_PARAMETER

    public static final String DEL_REVISION_TYPE_PARAMETER

See Also:
  Constant Field Values

Constructor Detail

### QueryConstants

    public QueryConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.